    // by selector/selector1.cc
inline Result Alternatives::result() const
{
    return d_result;
}

    // by selector/chdir.cc
inline void Alternatives::update(size_t index)
{
    d_history.save((*this)[index]);
}

